POST api/departmentapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

DepartmentViewModel
NameDescriptionTypeAdditional information
active

boolean

Required

code

integer

Required

contract_id

globally unique identifier

Required

delay_between_scans

integer

None.

id

globally unique identifier

None.

item_wash_max

integer

None.

name

string

None.

remark

string

None.

selected_nameplate_id

globally unique identifier

None.

selected_sticker_id

globally unique identifier

None.

Request Formats

application/json, text/json

Sample:
{
  "active": true,
  "code": 2,
  "contract_id": "0fb50c3a-6c6d-483d-bc36-2d044a357909",
  "delay_between_scans": 1,
  "id": "902bb1c3-c8a8-44d0-9865-b1acd3495ee3",
  "item_wash_max": 1,
  "name": "sample string 5",
  "remark": "sample string 6",
  "selected_nameplate_id": "8ada2520-ae26-471e-96d9-b7957cc88652",
  "selected_sticker_id": "b66d5b28-d003-44fc-bd51-17ca0ccd73a2"
}

application/xml, text/xml

Sample:
<department xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <code>2</code>
  <contract_id>0fb50c3a-6c6d-483d-bc36-2d044a357909</contract_id>
  <delay_between_scans>1</delay_between_scans>
  <id>902bb1c3-c8a8-44d0-9865-b1acd3495ee3</id>
  <item_wash_max>1</item_wash_max>
  <name>sample string 5</name>
  <remark>sample string 6</remark>
  <selected_nameplate_id>8ada2520-ae26-471e-96d9-b7957cc88652</selected_nameplate_id>
  <selected_sticker_id>b66d5b28-d003-44fc-bd51-17ca0ccd73a2</selected_sticker_id>
</department>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"00406c20-f88f-4eab-b6b5-75532e8f2eea"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">00406c20-f88f-4eab-b6b5-75532e8f2eea</guid>